SaslRpcServer.AuthMethod (Hadoop 0.20.2-cdh3u3 API)
Date: 2012-03-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.security
Enum SaslRpcServer.AuthMethod

    java.lang.Object
      java.lang.Enum<SaslRpcServer.AuthMethod>
          org.apache.hadoop.security.SaslRpcServer.AuthMethod

All Implemented Interfaces:
  Serializable, Comparable<SaslRpcServer.AuthMethod>

Enclosing class:
  SaslRpcServer

    public static enum SaslRpcServer.AuthMethod

extends Enum<SaslRpcServer.AuthMethod>

Authentication method

Enum Constant Summary
`DIGEST`
`KERBEROS`
`SIMPLE`

Field Summary
`UserGroupInformation.AuthenticationMethod` | `authenticationMethod`
`byte` | `code` The code for this method.
`String` | `mechanismName`

Method Summary
`String` | `getMechanismName()` Return the SASL mechanism name
`static SaslRpcServer.AuthMethod` | `read(DataInput in)` Read from in
`static SaslRpcServer.AuthMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SaslRpcServer.AuthMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
`void` | `write(DataOutput out)` Write to out

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SIMPLE

    public static final SaslRpcServer.AuthMethod SIMPLE

### KERBEROS

    public static final SaslRpcServer.AuthMethod KERBEROS

### DIGEST

    public static final SaslRpcServer.AuthMethod DIGEST

Field Detail

### code

    public final byte code

  The code for this method.

### mechanismName

    public final String mechanismName

### authenticationMethod

    public final UserGroupInformation.AuthenticationMethod authenticationMethod

Method Detail

### values

    public static SaslRpcServer.AuthMethod[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SaslRpcServer.AuthMethod c : SaslRpcServer.AuthMethod.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SaslRpcServer.AuthMethod valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getMechanismName

    public String getMechanismName()

  Return the SASL mechanism name

### read

    public static SaslRpcServer.AuthMethod read(DataInput in)
                                         throws IOException

  Read from in

  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Write to out

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation